package com.liquidnet.service.kylin.dto.vo.mongo;

import com.liquidnet.service.kylin.entity.KylinCheckUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel
@Data
public class KylinOrderRefundEntitiesVo implements Cloneable {
    private Integer mid;
    private String orderRefundsEntitiesId;
    private String orderRefundsId;
    private String orderTicketEntitiesId;
    private BigDecimal refundPrice;
    private String createdAt;
    private String updatedAt;

    private static final KylinOrderRefundEntitiesVo obj = new KylinOrderRefundEntitiesVo();
    public static KylinOrderRefundEntitiesVo getNew() {
        try {
            return (KylinOrderRefundEntitiesVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinOrderRefundEntitiesVo();
        }
    }
}
